Bug 52554 - g77 -O2 -c serf.f causes internal compiler error
Summary: g77 -O2 -c serf.f causes internal compiler error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-24 23:54 UTC by Jay W Parker
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 17:39:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
very old fortran file: single prec error fcn from math77 (23.18 KB, text/plain)
2001-08-25 00:01 UTC, Jay W Parker
no flags Details

Description Jay W Parker 2001-08-24 23:54:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 (Macintosh; I; PPC)

Description of problem:
Compilation of one particular routine by g77 with -O2 causes internal error report, no output.
-O1 or less works, -O3 fails. This same compilation line worked under RH6.2. 
You can have the source (see attachment).



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  g77 -c -O2 serf.f
2.
3.
	

Actual Results:  > g77 -c -O2 serf.f
serf.f: In function `serf':
serf.f:453: Internal compiler error in convert_regs_1, at reg-stack.c:2607

Expected Results:  should have produced serf.o

Additional info:

Name        : gcc-g77                      Relocations: (not relocateable)
Version     : 2.96                              Vendor: Red Hat, Inc.
Release     : 85                            Build Date: Wed 09 May 2001 11:04:50 AM PDT

Comment 1 Jay W Parker 2001-08-25 00:02:00 UTC
Created attachment 29454 [details]
very old fortran file: single prec error fcn from math77

Comment 2 Jakub Jelinek 2001-08-28 12:09:18 UTC
Seems gcse is messing up the flow graph. The bug is present in g77 3.0.1 too,
bug apparently at least not reproduceable in g77 3.1 CVS.
Simple workaround -fno-gcse. Debugging...

Comment 3 Alan Cox 2002-12-15 17:39:32 UTC
Ok in 3.2



Note You need to log in before you can comment on or make changes to this bug.